<template>
  <svg
    viewBox="0 0 80 80"
  >
    <!--suppress CheckEmptyScriptTag -->
    <circle
      cx="40"
      cy="40"
      r="40"
      :fill="color"
    />
    <text
      x="20"
      y="65"
      fill="white"
    >{{ id }}
    </text>
  </svg>
</template>

<script>
  export default {
    name: 'MetrocheckSvgLineNumber',
    props: {
      color: { type: String, required: true },
      id: { type: Number, required: true },
    },
  }
</script>
